## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ElemSort Class Reference

`#include <ElemSort.hpp>`

Inheritance diagram for ElemSort:

[legend]
Collaboration diagram for ElemSort:

[legend]
List of all members.

## Public Methods

- ElemSort (StylesheetConstructionContext &constructionContext, Stylesheet &stylesheetTree, const AttributeListType &atts, int lineNumber, int columnNumber)
    Construct an object corresponding to an "xsl:sort" element. More...
- ~ElemSort ()
- const AVT* getLangAVT () const
    Retrieve the language attribute value template(AVT). More...
- const AVT* getOrderAVT () const
    Retrieve the order attribute value template(AVT). More...
- const AVT* getCaseOrderAVT () const
    Retrieve the case-order attribute value template(AVT). More...
- const AVT* getDataTypeAVT () const
    Retrieve the data type attribute value template(AVT). More...
- const XPath* getSelectPattern () const
    Retrieve the select pattern. More...
- virtual const XalanDOMString& getElementName () const
    Get a string for the name of the element. More...
- virtual const XPath* getXPath (unsigned int index=0) const
    Get XPath pattern/expression of one of the element atribute. More...

## Static Public Methods

- ElemSort* create (MemoryManagerType &theManager, StylesheetConstructionContext &constructionContext, Stylesheet &stylesheetTree, const AttributeListType &atts, int lineNumber, int columnNumber)

## Constructor & Destructor Documentation

ElemSort::ElemSort ( | StylesheetConstructionContext & constructionContext,
| Stylesheet & stylesheetTree,
| const AttributeListType & atts,
| int lineNumber,
| int columnNumber )

  | Construct an object corresponding to an "xsl:sort" element. Parameters:
  constructionContext | context for construction of object
  stylesheetTree | stylesheet containing element
  atts | list of attributes for element
  lineNumber | line number in document
  columnNumber | column number in document

ElemSort::~ElemSort ( | )

## Member Function Documentation

ElemSort * ElemSort::create ( | MemoryManagerType & theManager,
| StylesheetConstructionContext & constructionContext,
| Stylesheet & stylesheetTree,
| const AttributeListType & atts,
| int lineNumber,
| int columnNumber )`[static]`

const AVT * ElemSort::getCaseOrderAVT ( | ) const

| Retrieve the case-order attribute value template(AVT). Returns: the case-order AVT

const AVT * ElemSort::getDataTypeAVT ( | ) const

| Retrieve the data type attribute value template(AVT). Returns: the data type AVT

const XalanDOMString & ElemSort::getElementName ( | ) const`[virtual]`

| Get a string for the name of the element. Useful for debugging purposes, and error reporting. Returns: A string containing the name of the element. Reimplemented from ElemTemplateElement.

const AVT * ElemSort::getLangAVT ( | ) const

| Retrieve the language attribute value template(AVT). Returns: the language AVT

const AVT * ElemSort::getOrderAVT ( | ) const

| Retrieve the order attribute value template(AVT). Returns: the order AVT

const XPath * ElemSort::getSelectPattern ( | ) const

| Retrieve the select pattern. Returns: XPath corresponding to the select pattern

const XPath * ElemSort::getXPath ( | unsigned int index = 0 ) const`[virtual]`

| Get XPath pattern/expression of one of the element atribute. @index number of the attribute. If an attribute has more then one attribute with pattern/expression,the order of the returned expressions are undefined Returns: pointer or null Reimplemented from ElemTemplateElement.

The documentation for this class was generated from the following file:

- ElemSort.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.